Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CORBA_ORB_RequestSeq_var Class Reference

`#include <Request.h>`

Collaboration diagram for CORBA_ORB_RequestSeq_var:

[legend]
List of all members.

## Public Methods
| CORBA_ORB_RequestSeq_var (void)
| CORBA_ORB_RequestSeq_var (CORBA_ORB_RequestSeq *)
| CORBA_ORB_RequestSeq_var (const CORBA_ORB_RequestSeq_var &)
| ~CORBA_ORB_RequestSeq_var (void)
CORBA_ORB_RequestSeq_var& | operator= (CORBA_ORB_RequestSeq *)
CORBA_ORB_RequestSeq_var& | operator= (const CORBA_ORB_RequestSeq_var &)
CORBA_ORB_RequestSeq* | operator-> (void)
const CORBA_ORB_RequestSeq* | operator-> (void) const
| operator const CORBA_ORB_RequestSeq & () const
| operator CORBA_ORB_RequestSeq & ()
| operator CORBA_ORB_RequestSeq & () const
CORBA::Octet& | operator[] (CORBA::ULong slot)
const CORBA_ORB_RequestSeq& | in (void) const
CORBA_ORB_RequestSeq& | inout (void)
CORBA_ORB_RequestSeq*& | out (void)
CORBA_ORB_RequestSeq* | _retn (void)
CORBA_ORB_RequestSeq* | ptr (void) const
## Private Attributes
CORBA_ORB_RequestSeq* | ptr_

## Constructor & Destructor Documentation

CORBA_ORB_RequestSeq_var::CORBA_ORB_RequestSeq_var ( | void )

CORBA_ORB_RequestSeq_var::CORBA_ORB_RequestSeq_var ( | CORBA_ORB_RequestSeq * )

CORBA_ORB_RequestSeq_var::CORBA_ORB_RequestSeq_var ( | const CORBA_ORB_RequestSeq_var & )

CORBA_ORB_RequestSeq_var::~CORBA_ORB_RequestSeq_var ( | void )

## Member Function Documentation

CORBA_ORB_RequestSeq* CORBA_ORB_RequestSeq_var::_retn ( | void )

const CORBA_ORB_RequestSeq& CORBA_ORB_RequestSeq_var::in ( | void ) const

CORBA_ORB_RequestSeq& CORBA_ORB_RequestSeq_var::inout ( | void )

CORBA_ORB_RequestSeq_var::operator CORBA_ORB_RequestSeq & ( | ) const

CORBA_ORB_RequestSeq_var::operator CORBA_ORB_RequestSeq & ( | )

CORBA_ORB_RequestSeq_var::operator const CORBA_ORB_RequestSeq & ( | ) const

const CORBA_ORB_RequestSeq* CORBA_ORB_RequestSeq_var::operator-> ( | void ) const

CORBA_ORB_RequestSeq* CORBA_ORB_RequestSeq_var::operator-> ( | void )

CORBA_ORB_RequestSeq_var& CORBA_ORB_RequestSeq_var::operator= ( | const CORBA_ORB_RequestSeq_var & )

CORBA_ORB_RequestSeq_var& CORBA_ORB_RequestSeq_var::operator= ( | CORBA_ORB_RequestSeq * )

CORBA::Octet& CORBA_ORB_RequestSeq_var::operator[] ( | CORBA::ULong slot )

CORBA_ORB_RequestSeq*& CORBA_ORB_RequestSeq_var::out ( | void )

CORBA_ORB_RequestSeq* CORBA_ORB_RequestSeq_var::ptr ( | void ) const

## Member Data Documentation

CORBA_ORB_RequestSeq * CORBA_ORB_RequestSeq_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- Request.h